QuantLib: InterpolatedYoYInflationCurve< Interpolator > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
InterpolatedYoYInflationCurve< Interpolator > Class Template Reference

Inflation term structure based on interpolated year-on-year rates. More...

`#include <ql/termstructures/inflation/interpolatedyoyinflationcurve.hpp>`

Inheritance diagram for InterpolatedYoYInflationCurve< Interpolator >:
[legend]

## Public Member Functions
| InterpolatedYoYInflationCurve (const Date &referenceDate, const Calendar &calendar, const DayCounter &dayCounter, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const std::vector< Date > &dates, const std::vector< Rate > &rates, const Interpolator &interpolator=Interpolator())
InflationTermStructure interface
Date | baseDate () const
| minimum (base) date More...
Date | maxDate () const
| the latest date for which the curve can return values
Inspectors
const std::vector< Date > & | dates () const
const std::vector< Time > & | times () const
const std::vector< Real > & | data () const
const std::vector< Rate > & | rates () const
std::vector< std::pair< Date, Rate > > | nodes () const
Public Member Functions inherited from YoYInflationTermStructure
| YoYInflationTermStructure (const DayCounter &dayCounter, Rate baseYoYRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yieldTS, const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| YoYInflationTermStructure (const Date &referenceDate, const Calendar &calendar, const DayCounter &dayCounter, Rate baseYoYRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yieldTS, const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| YoYInflationTermStructure (Natural settlementDays, const Calendar &calendar, const DayCounter &dayCounter, Rate baseYoYRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yieldTS, const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
Rate | yoyRate (const Date &d, const Period &instObsLag=Period(-1, Days), bool forceLinearInterpolation=false, bool extrapolate=false) const
| year-on-year inflation rate. More...
Rate | yoyRate (Time t, bool extrapolate=false) const
| year-on-year inflation rate. More...
Public Member Functions inherited from InflationTermStructure
void | setSeasonality (const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| Functions to set and get seasonality. More...
boost::shared_ptr< Seasonality > | seasonality () const
bool | hasSeasonality () const
| InflationTermStructure (Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const DayCounter &dayCounter=DayCounter(), const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| InflationTermStructure (const Date &referenceDate, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const Calendar &calendar=Calendar(), const DayCounter &dayCounter=DayCounter(), const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
| InflationTermStructure (Natural settlementDays, const Calendar &calendar, Rate baseRate, const Period &observationLag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const DayCounter &dayCounter=DayCounter(), const boost::shared_ptr< Seasonality > &seasonality=boost::shared_ptr< Seasonality >())
virtual Period | observationLag () const
virtual Frequency | frequency () const
virtual bool | indexIsInterpolated () const
virtual Rate | baseRate () const
virtual Handle< YieldTermStructure > | nominalTermStructure () const
Public Member Functions inherited from TermStructure
| TermStructure (const DayCounter &dc=DayCounter())
| default constructor More...
| TermStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| TermStructure (Natural settlementDays, const Calendar &, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
virtual DayCounter | dayCounter () const
| the day counter used for date/time conversion
Time | timeFromReference (const Date &date) const
| date/time conversion
virtual Time | maxTime () const
| the latest time for which the curve can return values
virtual const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
virtual Calendar | calendar () const
| the calendar used for reference and/or option date calculation
virtual Natural | settlementDays () const
| the settlementDays used for reference date calculation
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Protected Member Functions
| InterpolatedYoYInflationCurve (const Date &referenceDate, const Calendar &calendar, const DayCounter &dayCounter, Rate baseYoYRate, const Period &lag, Frequency frequency, bool indexIsInterpolated, const Handle< YieldTermStructure > &yTS, const Interpolator &interpolator=Interpolator())
YoYInflationTermStructure interface
Rate | yoyRateImpl (Time t) const
| to be defined in derived classes
Protected Member Functions inherited from InflationTermStructure
virtual void | setBaseRate (const Rate &r)
void | checkRange (const Date &, bool extrapolate) const
void | checkRange (Time t, bool extrapolate) const
Protected Member Functions inherited from TermStructure
void | checkRange (const Date &d, bool extrapolate) const
| date-range check
void | checkRange (Time t, bool extrapolate) const
| time-range check
Protected Member Functions inherited from InterpolatedCurve< Interpolator >
void | setupInterpolation ()
| InterpolatedCurve (const std::vector< Time > &times, const std::vector< Real > &data, const Interpolator &i=Interpolator())
| InterpolatedCurve (const std::vector< Time > &times, const Interpolator &i=Interpolator())
| InterpolatedCurve (Size n, const Interpolator &i=Interpolator())
| InterpolatedCurve (const Interpolator &i=Interpolator())
| InterpolatedCurve (const InterpolatedCurve &c)
InterpolatedCurve & | operator= (const InterpolatedCurve &c)

## Protected Attributes
std::vector< Date > | dates_
Protected Attributes inherited from InflationTermStructure
boost::shared_ptr< Seasonality > | seasonality_
Period | observationLag_
Frequency | frequency_
bool | indexIsInterpolated_
Rate | baseRate_
Handle< YieldTermStructure > | nominalTermStructure_
Protected Attributes inherited from TermStructure
bool | moving_
bool | updated_
Calendar | calendar_
Protected Attributes inherited from InterpolatedCurve< Interpolator >
std::vector< Time > | times_
std::vector< Real > | data_
Interpolation | interpolation_
Interpolator | interpolator_
Date | maxDate_

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

### template<class Interpolator>
class QuantLib::InterpolatedYoYInflationCurve< Interpolator >

Inflation term structure based on interpolated year-on-year rates.

Note
  The provided rates are not YY inflation-swap quotes.

## Constructor & Destructor Documentation

## ◆ InterpolatedYoYInflationCurve()

InterpolatedYoYInflationCurve | ( | const Date & | referenceDate,
|  | const Calendar & | calendar,
|  | const DayCounter & | dayCounter,
|  | Rate | baseYoYRate,
|  | const Period & | lag,
|  | Frequency | frequency,
|  | bool | indexIsInterpolated,
|  | const Handle< YieldTermStructure > & | yTS,
|  | const Interpolator & | interpolator = `Interpolator()`
| ) |  |
| protected

Protected version for use when descendents don't want to (or can't) provide the points for interpolation on construction.

## Member Function Documentation

## ◆ baseDate()

Date baseDate | ( |  | ) | const
| virtual

minimum (base) date

Important in inflation since it starts before nominal reference date. Changes depending whether index is interpolated or not. When interpolated the base date is just observation lag before nominal. When not interpolated it is the beginning of the relevant period (hence it is easy to create interpolated fixings from a not-interpolated curve because interpolation, usually, of fixings is forward looking).

Implements InflationTermStructure.

Reimplemented in PiecewiseYoYInflationCurve< Interpolator, Bootstrap, Traits >.